OpenJPH: /build/openjph/src/OpenJPH/src/apps/ojph_stream_expand/ojph_stream_expand.cpp File Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph_stream_expand.cpp File Reference
`#include <iostream>`
`#include "ojph_message.h"`
`#include "ojph_arg.h"`
`#include "ojph_sockets.h"`
`#include "ojph_threads.h"`
`#include "stream_expand_support.h"`
`#include <arpa/inet.h>`

Go to the source code of this file.

## Functions
static bool | get_arguments (int argc, char *argv[], char *&recv_addr, char *&recv_port, char *&src_addr, char *&src_port, char *&target_name, ojph::ui32 &num_threads, ojph::ui32 &num_inflight_packets, ojph::ui32 &recvfrm_buf_size, bool &blocking, bool &quiet)
int | main (int argc, char *argv[])

## Function Documentation

## ◆ get_arguments()

bool get_arguments | ( | int | argc,
|  | char * | argv[],
|  | char *& | recv_addr,
|  | char *& | recv_port,
|  | char *& | src_addr,
|  | char *& | src_port,
|  | char *& | target_name,
|  | ojph::ui32 & | num_threads,
|  | ojph::ui32 & | num_inflight_packets,
|  | ojph::ui32 & | recvfrm_buf_size,
|  | bool & | blocking,
|  | bool & | quiet )
| static

Definition at line 53 of file ojph_stream_expand.cpp.

References ojph::argument::arg, ojph::cli_interpreter::get_argument_zero(), ojph::cli_interpreter::get_next_avail_argument(), ojph::cli_interpreter::init(), ojph::cli_interpreter::is_exhausted(), ojph::argument::is_valid(), and ojph::cli_interpreter::reinterpret().

Referenced by main().

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 113 of file ojph_stream_expand.cpp.

References ojph::net::socket::close(), ojph::net::socket_manager::create_socket(), ojph::stex::rtp_packet::data, ojph::stex::packets_handler::exchange(), ojph::net::socket_manager::get_addr(), get_arguments(), ojph::net::socket_manager::get_error_message(), ojph::net::socket_manager::get_last_error(), ojph::net::socket_manager::get_last_error_message(), ojph::stex::packets_handler::get_num_lost_packets(), ojph::stex::frames_handler::get_stats(), ojph::stex::rtp_packet::get_time_stamp(), ojph::stex::frames_handler::init(), ojph::stex::packets_handler::init(), ojph::thds::thread_pool::init(), ojph::net::socket::intern(), ojph::stex::rtp_packet::max_size, ojph::stex::rtp_packet::num_bytes, OJPH_ERROR, OJPH_EWOULDBLOCK, OJPH_INFO, OJPH_INVALID_SOCKET, and ojph::net::socket::set_blocking_mode().